org.apache.olingo.odata2.api.uri.expression

## Enum BinaryOperator

- java.lang.Object
- - java.lang.Enum<BinaryOperator>
  - - org.apache.olingo.odata2.api.uri.expression.BinaryOperator

- All Implemented Interfaces:
    Serializable, Comparable<BinaryOperator>

      public enum BinaryOperator
      extends Enum<BinaryOperator>

  Enumerations for supported binary operators of the ODATA expression parser for ODATA version 2.0 (with some restrictions)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `AND`
    `DIV`
    `EQ`
    `GE`
    `GT`
    `LE`
    `LT`
    `MODULO`
    `MUL`
    `NE`
    `OR`
    `PROPERTY_ACCESS` Property access operator.
    `SUB`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `String` | `toUriLiteral()`
    `static BinaryOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BinaryOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AND

          public static final BinaryOperator AND

    - #### OR

          public static final BinaryOperator OR

    - #### EQ

          public static final BinaryOperator EQ

    - #### NE

          public static final BinaryOperator NE

    - #### LT

          public static final BinaryOperator LT

    - #### LE

          public static final BinaryOperator LE

    - #### GT

          public static final BinaryOperator GT

    - #### GE

          public static final BinaryOperator GE

    - #### ADD

          public static final BinaryOperator ADD

    - #### SUB

          public static final BinaryOperator SUB

    - #### MUL

          public static final BinaryOperator MUL

    - #### DIV

          public static final BinaryOperator DIV

    - #### MODULO

          public static final BinaryOperator MODULO

    - #### PROPERTY_ACCESS

          public static final BinaryOperator PROPERTY_ACCESS

      Property access operator. E.g. $filter=address/city eq "Sydney"

  - ### Method Detail

    - #### values

          public static BinaryOperator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BinaryOperator c : BinaryOperator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BinaryOperator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<BinaryOperator>`
      Returns:
        Operator name for usage in text

    - #### toUriLiteral

          public String toUriLiteral()

      Returns:
        URI literal of the binary operator as used in the URL.

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.